Get pickup point
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-inventory/inventory/pickup-point/{itemId} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-inventory/inventory/pickup-point/{itemId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-inventory/inventory/pickup-point/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"limit": 10,
"offset": 0,
"count": 3
},
"locations": [
{
"channel": [
12
],
"isActive": true,
"isDefault": false,
"name": "ABC MANHATTEN STORE",
"address": {
"street1": "888 Broadway",
"street2": "<string>",
"zipCode": "10003",
"city": "New York",
"state": "NY",
"country": "USA",
"phone": "<array>"
},
"pickup": false,
"type": "60a5844452e07600089d2cb7",
"kind": "Warehouse",
"locationId": 102,
"__v": 0,
"coordinates": {
"latitude": 40.738417,
"longitude": -73.98985
}
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "ITEMS_NOT_FOUND",
"message": "Items not found"
}{
"code": "<string>",
"message": "<string>"
}Inventory
Get pickup point
Get pickup point
GET
/
api-inventory
/
inventory
/
pickup-point
/
{itemId}
Get pickup point
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Minimum string length:
1Example:
"1597422"
Query Parameters
Show child attributes
Show child attributes
Was this page helpful?
⌘I
